From: Martin Kepplinger <martin.kepplinger@puri.sm>
Date: Wed, 28 Oct 2020 21:55:16 +0100
Subject: arm64: dts: imx8mq-librem5: max17042_battery: enable vchg
 configuration

---
 arch/arm64/boot/dts/freescale/imx8mq-librem5.dtsi | 1 +
 1 file changed, 1 insertion(+)

diff --git a/arch/arm64/boot/dts/freescale/imx8mq-librem5.dtsi b/arch/arm64/boot/dts/freescale/imx8mq-librem5.dtsi
index 906555a..b273e48 100644
--- a/arch/arm64/boot/dts/freescale/imx8mq-librem5.dtsi
+++ b/arch/arm64/boot/dts/freescale/imx8mq-librem5.dtsi
@@ -1351,6 +1351,7 @@ bat: fuel-gauge@36 {
 		maxim,over-heat-temp = <700>;
 		maxim,over-volt = <4500>;
 		maxim,rsns-microohm = <5000>;
+		maxim,vchg-4V2;
 	};
 
 	bq25895: charger@6a {
